<ws:project> | Standard JET2 Workspace Tags
--- | ---

project

Ensure the existence of an Eclipse Project of a given name. If the project does not exist, it is created. If the project is not opened, it is opened.

Note that the actual creation of the workspace project is deferred until the JET2Context passed to the executing template has the 'commit' method calls. If the template is part of a JET2 transformation, this occurs once all templates have executed.

An error occurs of the project does not exist and cannot be created, or if the project exists, but cannot be opened.

The 'project' tag may contain other tags. Contained 'folder' and 'file' tags will have relative path names iterpreted as being relative to the project defined by this tag.

Tag Summary
required | <ws:project name="value"> content to be written </ws:project>
full tag | <ws:project name="value" location="value"> content to be written </ws:project>

Required Attributes
name | The name of the project.

Optional Attributes
location | An optional absolute file-system location for the new project. If not specified, the project is created in a directory under the workspace directory.

Example
| <%-- Create project myProjet (or ensure it exists) --%> <ws:project name="myProject"/> <%-- Create project myProjet (or ensure it exists), with nested actions--%> <ws:project name="myProject"/> ... nested ws:folder and ws:file tags are relative to myProject ... </ws:folder>